:root {
    --pink: #f5c2e7;
    --p: #9a9a9a;
    --border-radius: 5px;
}

html, body {
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;
    background: #0d0d0d;
    overflow: hidden;
}

canvas {
    display: block;
}

.container {
    position: absolute;
    width: 50%;
    height: auto;
    background: #161616;
    overflow: hidden;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);

    border: 1.5px solid #212121;
    border-radius: var(--border-radius)
}

.title {
    position: relative;
    padding: 20px 20px 5px;
    text-align: left;
    font-family: "JetBrains Mono", monospace;
    font-size: 15px;
    text-transform: uppercase;
    color: var(--p);
}

hr {
    border: none;
    border-top: 1.5px solid #212121;
    margin: 10px 20px 5px;
}

.about-container {
    display: flex;
    align-items: center;
    gap: 25px;
    padding: 5px 20px;
}

.about-container img {
    max-width: 170px;
    height: auto;
    border-radius: var(--border-radius);
    user-select: none;
}

.about-container p {
    font-family: "Recursive", sans-serif;
    font-size: 16px;
    line-height: 1.6;
    color: var(--p);
    margin: 0 0 1rem;
}

.about-container p strong {
    color: var(--pink);
    font-weight: 600;
    font-size: 18px;
    text-decoration: none;
}

.main-row {
    display: flex;
    flex-direction: row;
    gap: 20px;
    align-items: stretch;
    padding: 0 20px 20px;
}

.links-container {
    width: 50%;
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.link-item {
    position: relative;
    color: var(--p);
    text-decoration: none;
    background: #1b1b1b;
    border: 1px solid #212121;
    border-radius: var(--border-radius);
    padding: 16px 18px;
    user-select: none;
    cursor: pointer;

    font-family: "Recursive", sans-serif;
    font-weight: 600;
    font-size: 16px;
    text-align: center;
}

.link-item:hover {
    color: var(--pink);
    border-color: var(--pink);
    background: rgba(245, 194, 231, 0.05);
}

.projects-panel {
    width: 50%;
    padding: 15px;
    background: #1b1b1b;
    border: 1px solid #212121;
    border-radius: var(--border-radius);
}

.projects-grid {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.project-item {
    text-decoration: none;
    background: #212121;
    border: 1px solid #2a2a2a;
    border-radius: var(--border-radius);
    padding: 0.8em 1em;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    gap: 5px;
    cursor: pointer;
    position: relative;
    overflow: hidden;
    user-select: none;
}

.project-item:hover {
    border-color: var(--pink);
    background: rgba(245, 194, 231, 0.05);

    .project-label {
        color: var(--pink)
    }
}


.project-label {
    font-family: "Recursive", sans-serif;
    font-size: 18px;
    font-weight: 600;
    color: var(--p);
}

.project-desc {
    font-family: "Recursive", sans-serif;
    font-size: 14px;
    color: var(--p);
}

.project-text {
    display: flex;
    flex-direction: column;
    gap: 0.25em;
    text-align: left;
}

.project-icons {
    display: flex;
    flex-direction: row;
    gap: 5px;
    align-items: center;
    flex-shrink: 0;
}

.project-icons img {
    width: 32px;
    height: 32px;
    border-radius: var(--border-radius);
}

@font-face {
    font-family: "Icons";
    src: url("icons.woff2") format("woff2");
}

.icon {
    font-family: "Icons";
}

.footer-note {
    position: fixed;
    bottom: 0;
    font-family: "Recursive", monospace;
    font-size: 18px;
    color: var(--p);
    width: auto;
    text-align: center;
    left: 50%;
    transform: translate(-50%, -50%);

    background: #161616;
    border: 1px solid #212121;
    padding: 5px 10px;
    border-radius: var(--border-radius);
}

.footer-note .icon {
    color: var(--pink);
}
